SOAPConnection (Java Platform SE 8 )
Keywords: javax.xml.soap.SOAPConnection class
Date: 2026-04-17

javax.xml.soap

## Class SOAPConnection

- java.lang.Object
- - javax.xml.soap.SOAPConnection

-     public abstract class SOAPConnection
      extends Object

  A point-to-point connection that a client can use for sending messages directly to a remote party (represented by a URL, for instance).

  The SOAPConnection class is optional. Some implementations may not implement this interface in which case the call to `SOAPConnectionFactory.newInstance()` (see below) will throw an `UnsupportedOperationException`.

  A client can obtain a `SOAPConnection` object using a `SOAPConnectionFactory` object as in the following example:

            SOAPConnectionFactory factory = SOAPConnectionFactory.newInstance();
            SOAPConnection con = factory.createConnection();

  A `SOAPConnection` object can be used to send messages directly to a URL following the request/response paradigm. That is, messages are sent using the method `call`, which sends the message and then waits until it gets a reply.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SOAPConnection()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract SOAPMessage` | `call(SOAPMessage request, Object to)` Sends the given message to the specified endpoint and blocks until it has returned the response.
    `abstract void` | `close()` Closes this `SOAPConnection` object.
    `SOAPMessage` | `get(Object to)` Gets a message from a specific endpoint and blocks until it receives,

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SOAPConnection

          public SOAPConnection()

  - ### Method Detail

    - #### call

          public abstract SOAPMessage call(SOAPMessage request,
                                           Object to)
                                    throws SOAPException

      Sends the given message to the specified endpoint and blocks until it has returned the response.
      Parameters:
        `request` - the `SOAPMessage` object to be sent
        `to` - an `Object` that identifies where the message should be sent. It is required to support Objects of type `java.lang.String`, `java.net.URL`, and when JAXM is present `javax.xml.messaging.URLEndpoint`
      Returns:
        the `SOAPMessage` object that is the response to the message that was sent
      Throws:
        `SOAPException` - if there is a SOAP error

    - #### get

          public SOAPMessage get(Object to)
                          throws SOAPException

      Gets a message from a specific endpoint and blocks until it receives,
      Parameters:
        `to` - an `Object` that identifies where the request should be sent. Objects of type `java.lang.String` and `java.net.URL` must be supported.
      Returns:
        the `SOAPMessage` object that is the response to the get message request
      Throws:
        `SOAPException` - if there is a SOAP error
      Since:
        SAAJ 1.3

    - #### close

          public abstract void close()
                              throws SOAPException

      Closes this `SOAPConnection` object.
      Throws:
        `SOAPException` - if there is a SOAP error

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.